﻿using System;
using System.Collections.Generic;
using System.Drawing.Imaging;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ImageBytesShowSample
{
    public partial class ImageSource : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string imgName = Request.QueryString["name"];

            var pic = System.Drawing.Image.FromFile("E:\\CSPro\\ImageBytesShowSample\\ImageBytesShowSample\\" + imgName + ".jpg");

            byte[] imgBytes = ImageToBytes(pic);

            Response.BinaryWrite(imgBytes);
        }

        public byte[] ImageToBytes(System.Drawing.Image image)
        {
            byte[] buffer = null;
            using (MemoryStream ms = new MemoryStream())
            {
                image.Save(ms, ImageFormat.Jpeg);
                buffer = new byte[ms.Length];
                ms.Seek(0, SeekOrigin.Begin);
                ms.Read(buffer, 0, buffer.Length);
            }

            return buffer;
        }
    }
}